[infra] Upgrade d8 to 6.9.427.23 (#34698)

* Use 64bit d8 on Windows & Mac.
* Default to 64bit d8 on Linux.

Change-Id: Ia03275e48ed0e30bcb2a7b390e7007e34e92cfc5
Reviewed-on: https://dart-review.googlesource.com/c/78640
Commit-Queue: Alexander Thomas <athom@google.com>
Reviewed-by: Stephen Adams <sra@google.com>
Reviewed-by: Jonas Termansen <sortie@google.com>
This commit is contained in:
Alexander Thomas 2018-10-10 12:36:55 +00:00 committed by commit-bot@chromium.org
parent 16ddfc1565
commit 7072d3b17e
23 changed files with 58 additions and 48 deletions

23
DEPS
View file

@ -165,6 +165,15 @@ deps = {
],
"dep_type": "cipd",
},
Var("dart_root") + "/third_party/d8": {
"packages": [
{
"package": "dart/d8",
"version": "version:6.9.427.23+1",
},
],
"dep_type": "cipd",
},
Var("dart_root") + "/tests/co19/src":
Var("dart_git") + "co19.git" + "@" + Var("co19_rev"),
@ -381,20 +390,6 @@ deps = {
# TODO(iposva): Move the necessary tools so that hooks can be run
# without the runtime being available.
hooks = [
{
'name': 'd8_testing_binaries',
'pattern': '.',
'action': [
'download_from_google_storage',
'--no_auth',
'--no_resume',
'--bucket',
'dart-dependencies',
'--recursive',
'--directory',
Var('dart_root') + '/third_party/d8',
],
},
{
"name": "firefox_jsshell",
"pattern": ".",

View file

@ -12,3 +12,4 @@
!gsutil.tar.gz.sha1
!clang.tar.gz.sha1
!unittest.tar.gz.sha1
!update.sh

View file

@ -1,3 +0,0 @@
/macos/d8
/windows/d8.exe
/linux/d8

View file

@ -1,20 +1,14 @@
Name: V8 command line javascript shell.
Short Name: d8
URL: https://chromium.googlesource.com/v8/v8/+/efdf8385488430cb3fc15a37ca284c4e2ea1b97f
Version: 6.2.0
Revision: 7bb6cd63ed02f850f00e5b456fcf817b754779b2
Date: July 27 2017
URL: https://chromium.googlesource.com/v8/v8/+/refs/tags/6.9.427.23
Version: 6.9.427.23
Revision: 40b7c570a56b1134ff5083d8311e69ad8bf8fbd7
Date: September 14 2018
License: BSD
Description:
This directory contains hashes of the d8 binaries for Windows, Mac and Linux.
The files are stored in cloud storage in the bucket dart-dependencies,
and are downloaded by the depot_tools tool download_from_cloud_storage.py.
The files were fetched from the v8 builders on the DartFYI waterfall:
http://build.chromium.org/p/client.dart.fyi/console
When all users are updated to use linux binaries from the ia32 or other
subdirectories, remove them from d8/linux.
Build and add an ARMv8 64-bit build on linux.
In a synced checkout, this directory contains the d8 binaries for Windows, Mac and Linux.
The binaries are downloaded as a CIPD package and unpacked in this directory.
To upload a new version of the package run: ./update.sh <version>
The binaries are used for testing dart code compiled to javascript.

View file

@ -1 +0,0 @@
529e8ea23f246ef1be796641e37c25b45f0351b5

View file

@ -1 +0,0 @@
7d4b56c775ebbb64d1ac59633cba8d8ebdd582b1

View file

@ -1 +0,0 @@
db5c7cca45f83be3eefbf723a8ebd78e5e6a461a

View file

@ -1 +0,0 @@
82c3a2f3e2b5edbd3defc1db07463a872c703f75

View file

@ -1 +0,0 @@
82c3a2f3e2b5edbd3defc1db07463a872c703f75

View file

@ -1 +0,0 @@
a2d1d683cd1679c9844534e25fa857a1e86e6ece

View file

@ -1 +0,0 @@
7120a86f9ba5af6c327bf3403f3fee69074c68dc

View file

@ -1 +0,0 @@
a2d1d683cd1679c9844534e25fa857a1e86e6ece

View file

@ -1 +0,0 @@
7120a86f9ba5af6c327bf3403f3fee69074c68dc

View file

@ -1 +0,0 @@
8f4870586aed39475717a1f828fc5e4a52856a00

View file

@ -1 +0,0 @@
7d4b56c775ebbb64d1ac59633cba8d8ebdd582b1

View file

@ -1 +0,0 @@
f89563597bc430d8359f06cc28381644317a51f1

View file

@ -1 +0,0 @@
0d376770b10225b791d880a2d30aed7b98a41f0c

View file

@ -1 +0,0 @@
7d4b56c775ebbb64d1ac59633cba8d8ebdd582b1

View file

@ -1 +0,0 @@
97ccf11ec6810bd3477395b09c10aa69c84ad18a

41
third_party/d8/update.sh vendored Executable file
View file

@ -0,0 +1,41 @@
#!/usr/bin/env bash
# Uploads a new version of d8 CIPD package
set -e
set -x
if [ -z "$1" ]; then
echo "Usage: update.sh version"
exit 1
fi
version=$1
major=$(echo "$version" | cut -d'.' -f1)
minor=$(echo "$version" | cut -d'.' -f2)
patch=$(echo "$version" | cut -d'.' -f3)
tmpdir=$(mktemp -d)
cleanup() {
rm -rf "$tmpdir"
}
trap cleanup EXIT HUP INT QUIT TERM PIPE
cd "$tmpdir"
arch=("linux64" "linux32" "linux64" "linux-arm32" "mac64" "win64")
path=("linux" "linux/ia32" "linux/x64" "linux/arm32" "macos" "windows")
for i in "${!arch[@]}"
do
filename="v8-${arch[$i]}-rel-$version.zip"
gsutil cp "gs://chromium-v8/official/$major.$minor/$filename" .
mkdir -p d8/${path[$i]}
unzip -q $filename -d d8/${path[$i]}
rm $filename
done
cipd create \
-name dart/d8 \
-in d8 \
-install-mode copy \
-tag version:$version \
-tag version:$major.$minor.$patch \
-tag version:$major.$minor

View file

@ -1 +0,0 @@
a489ff87bffcb3150de200a0bd85c5bbfffe674a

View file

@ -1 +0,0 @@
74b2acf3e17f16018f003037daeb2ea9fb65570c

View file

@ -1 +0,0 @@
792073af206bdc34b1d852b5e146bdaa12260efa